import React, { useState } from 'react';
import { Accordion, AccordionItem, AccordionHead, AccordionBody } from '../../components/accordion';
import { TextEditor } from '../../components/textEditor';
import { EditorState } from 'lexical';

type Props = {
  activeTemplate: string;
};

export function AlertingForm(props: Props) {
  const [editorState, setEditorState] = useState<EditorState | undefined>(undefined);

  return (
    <div>
      <span className="text-lg text-secondary-600 font-bold mb-4">Alert ID: {props.activeTemplate}</span>
      <Accordion defaultOpenAll={true} className="border-t divide-y">
        <AccordionItem className="pt-2 pb-4">
          <AccordionHead showArrow={false}>
            <span className="font-semibold">Recipient(s)</span>
          </AccordionHead>
          <AccordionBody>
            <div>
              <input className="border" />
            </div>
          </AccordionBody>
        </AccordionItem>
        <AccordionItem className="pt-2 pb-4">
          <AccordionHead showArrow={false}>
            <span className="font-semibold">Alerting text</span>
          </AccordionHead>
          <AccordionBody>
            <TextEditor
              editorState={editorState}
              setEditorState={setEditorState}
              showToolbar={true}
              placeholder="Start typing your alert template..."
            />
          </AccordionBody>
        </AccordionItem>
      </Accordion>
    </div>
  );
}
